Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.session
Interface SessionManager

All Known Implementing Classes:
  MemoryBasedSessionManager

    public interface SessionManager

This exception shall be thrown when a session(ID) will be used that has been expired.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Method Summary
`void` | `addSession(Session session)` adds a session to the session managment. the session will be stored within two lists. one addresses the session with its ID the other with its user name.
`void` | `clearExpired()` removes all sessions that are expired from the session management
`Session` | `getSessionByID(String id)` returns the session identified by its ID.
`Session` | `getSessionByUser(String user)` returns the session assigned to the passed user.
`Session` | `removeSessionByID(String id)` removes a session identified by its ID from the session managment. the removed session will be returned.

Method Detail

### getSessionByID

    Session getSessionByID(String id)
                           throws SessionStatusException

  returns the session identified by its ID. If no session with the passed ID is known `null` will be returned. If the requested session isn't alive anymore it will be removed from the session manager

  Parameters:
    `id` -
  Returns:
    the session identified by its ID. If no session with the passed ID is known `null` will be returned.
  Throws:
    `SessionStatusException`

### getSessionByUser

    Session getSessionByUser(String user)
                             throws SessionStatusException

  returns the session assigned to the passed user. If no session is assigend to the passed user `null` will be returned. If the requested session isn't alive anymore it will be removed from the session manager

  Parameters:
    `user` -
  Returns:
    the session assigned to the passed user. If no session is assigend to the passed user `null` will be returned.
  Throws:
    `SessionStatusException`

### addSession

    void addSession(Session session)
                    throws SessionStatusException

  adds a session to the session managment. the session will be stored within two lists. one addresses the session with its ID the other with its user name. If the session is anonymous it just will be stored in the first list.

  Parameters:
    `session` -
  Throws:
    `SessionStatusException`

### removeSessionByID

    Session removeSessionByID(String id)

  removes a session identified by its ID from the session managment. the removed session will be returned.

  Parameters:
    `id` -
  Returns:
    the session

### clearExpired

    void clearExpired()

  removes all sessions that are expired from the session management

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org